GNU bug report logs - #40735
^L printed when resizing Emacs split window using ksh93

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>; merged with #40589, #40732; dated Mon, 20 Apr 2020 16:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 40589 40732 40735. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Apr 2020 16:04:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 20 12:04:55 2020
Received: from localhost ([127.0.0.1]:48293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQYuk-0005J9-RW
	for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 12:04:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:47310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jQXfp-0003A8-SZ
 for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 10:45:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50426 helo=eggs1p.gnu.org)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jQXfp-0000DS-BO
 for bug-gnu-emacs@HIDDEN; Mon, 20 Apr 2020 10:45:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,SPF_PASS,URIBL_BLOCKED autolearn=unavailable
 autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs1p.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <nick.papadonis.ml@HIDDEN>) id 1jQXfo-0004Aj-S5
 for bug-gnu-emacs@HIDDEN; Mon, 20 Apr 2020 10:45:25 -0400
Received: from mail-qt1-x82a.google.com ([2607:f8b0:4864:20::82a]:45479)
 by eggs1p.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <nick.papadonis.ml@HIDDEN>)
 id 1jQXfm-000478-QW; Mon, 20 Apr 2020 10:45:22 -0400
Received: by mail-qt1-x82a.google.com with SMTP id 71so8572991qtc.12;
 Mon, 20 Apr 2020 07:45:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=h4UGMmg/lC99PDdnsMWl+bUBPuXeIrVWsyMNQeriTx0=;
 b=EtMQWUtrFg9HnibktLrTrOofxpLUEt4K/O16EIOzmqRNs4+uJZ0iL7QYeJMHcxcG2b
 vmkhhNzSklHWUmjfPc3lOgtnPUdO5yxhF6Afchgg6oLNp+nGDs57q4xusPvYLpjDWWa5
 fGZDFp7YUvNO8oRcy0BFQLwA68IPq3DSIHTzxVdBKDlcnGkmLu3jCKnMwXz7B7g583kn
 51uDJof79054g8JVbLMu8tdq23O439yPokrFylKaVGtX+lCasnzXFqisPlrDQ1Qklrpo
 icqQbRmp8ir1JiBgxUBVtUEeIHZ+HtdIdQoLlqynAvDjbxaiEOOFNx50tOwnugWBvaxr
 p8+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=h4UGMmg/lC99PDdnsMWl+bUBPuXeIrVWsyMNQeriTx0=;
 b=er+fFUYzrs3/0SqgX2fU0yYUnXAi6AksRh6Ajly87sw1m/R9DxbF7Jrra61nqfVFk3
 Zl57vkV5Ji4VILmm8HVC9R0BYv4AR3HjFExu7F1jknW6g7KnCxzcgsBDSxG9LnH/pZBg
 7EHGSqc8dDIxuKs2J4xMFH6xw0+rx/s3KziQ4dnwkE0JQKtn/bbR3V9NuNCFlUeZ/O54
 Rn363EvcSdoqFJvI9OZkMvtnrVc5N9vShqL7zLUinPni6RRSHphYjMnfW4Y9gYfGBNnq
 0hQQQskTeJdYPHenV/LWnew4dtcpeK6jyT/Is10CkjWaILw4mAmK0T9o/8kI7P7pledm
 ET/w==
X-Gm-Message-State: AGi0PuYas8YofYc6rC7Xf5Fyy7MMHrCOTuUVK3E4KltX3a6xGvMS3CPk
 QWNneSJJuA1lVFlMfKC1TIkXfR4KMpI=
X-Google-Smtp-Source: APiQypKJDDoQstD7B596NB1xUWgU3H+DbwJJrR74JtpAnuQRAxjiV3ImQ7OvQcYoC8Xdbm86WLfYdQ==
X-Received: by 2002:ac8:82f:: with SMTP id u44mr16140411qth.198.1587393920487; 
 Mon, 20 Apr 2020 07:45:20 -0700 (PDT)
Received: from ?IPv6:2601:19d:303:7ba0:c511:451a:5099:daa4?
 ([2601:19d:303:7ba0:c511:451a:5099:daa4])
 by smtp.gmail.com with ESMTPSA id 202sm671043qko.135.2020.04.20.07.45.19
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 20 Apr 2020 07:45:19 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.80.23.2.2\))
Subject: Re: ^L printed when resizing Emacs split window using ksh93
From: Nicholas Papadonis <nick.papadonis.ml@HIDDEN>
In-Reply-To: <87blo2gi8y.fsf@HIDDEN>
Date: Mon, 20 Apr 2020 10:45:18 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <305853CD-FAE5-422B-B080-AAC8697E541F@HIDDEN>
References: <CAKD0t1J5SL929xq9Aza-7r1ekTow8wS8mkVmJn8Hafn9wnTghQ@HIDDEN>
 <87blo2gi8y.fsf@HIDDEN>
To: Emacs mailing list <help-gnu-emacs@HIDDEN>,
 bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3608.80.23.2.2)
Received-SPF: pass client-ip=2607:f8b0:4864:20::82a;
 envelope-from=nick.papadonis.ml@HIDDEN; helo=mail-qt1-x82a.google.com
X-detected-operating-system: by eggs1p.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2607:f8b0:4864:20::82a
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 20 Apr 2020 12:04:53 -0400
Cc: =?utf-8?Q?Bruno_F=C3=A9lix_Rezende_Ribeiro?= <oitofelix@HIDDEN>,
 Korn Shell <korn-shell@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Comments

> On Apr 8, 2020, at 10:33 AM, Bruno F=C3=A9lix Rezende Ribeiro =
<oitofelix@HIDDEN> wrote:
>=20
> Hello Nicholas,
>=20
> Nicholas Papadonis <nick.papadonis.ml@HIDDEN> writes:
>=20
>> PS2 is printed multiple times during the resize.  When entered is =
pressed
>> after the resize, multiple ^L s are displayed.  I set PS2=3D"" and =
the
>> brackets are omitted, however ^L still remain after pressing enter.
>> Is this a known issue?
>=20
> I /can/ reproduce this.  Have you reported this using =
=E2=80=98report-emacs-bug=E2=80=99
> to make sure someone makes a through investigation?

I notice is the PS2 prompt that is displayed when resizing the window.  =
Is ^L not the control character to clear the screen?

I export PS2=3D=E2=80=9C=E2=80=9D and ^L is still present on the input =
line after resizing.

Does anyone know where to start debugging this?

Thanks=




Acknowledgement sent to Nicholas Papadonis <nick.papadonis.ml@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40735; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Apr 2020 17:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.